Index: trunk/source/Lib/TLibCommon/TComRom.cpp
===================================================================
--- trunk/source/Lib/TLibCommon/TComRom.cpp	(revision 759)
+++ trunk/source/Lib/TLibCommon/TComRom.cpp	(revision 773)
@@ -573,9 +573,5 @@
 #if H_MV_ENC_DEC_TRAC
 #if ENC_DEC_TRACE
-#if H_MV_FIX_TRACE_FILE
 Void writeToTraceFile( const Char* symbolName, Int val, Bool doIt )
-#else
-Void writeToTraceFile( Char* symbolName, Int val, Bool doIt )
-#endif
 {
   if ( ( ( g_nSymbolCounter >= COUNTER_START && g_nSymbolCounter <= COUNTER_END )|| g_bJustDoIt ) && doIt  ) 
@@ -592,9 +588,5 @@
 }
 
-#if H_MV_FIX_TRACE_FILE
 Void writeToTraceFile( const Char* symbolName, Bool doIt )
-#else
-Void writeToTraceFile( Char* symbolName, Bool doIt )
-#endif
 {
   if ( ( ( g_nSymbolCounter >= COUNTER_START && g_nSymbolCounter <= COUNTER_END )|| g_bJustDoIt ) && doIt  ) 
@@ -612,7 +604,4 @@
 std::vector< std::vector<TComWedgeRef>  > g_dmmWedgeRefLists;
 std::vector< std::vector<TComWedgeNode> > g_dmmWedgeNodeLists;
-#if !SEC_DMM3_RBC_F0147
-std::vector< std::vector< std::vector<UInt> > > g_aauiWdgLstM3;
-#endif
 
 Void initWedgeLists( Bool initNodeList )
@@ -733,22 +722,5 @@
   }
 
-#if !SEC_DMM3_RBC_F0147
-  UInt uiThrSz = DMM3_SIMPLIFY_TR;
-  std::vector< std::vector<UInt> > auiWdgListSz;
-  for( Int idxM=2; idxM<=34 ; idxM++)
-  {
-    std::vector<UInt> auiWdgList;
-    for( Int idxW=0; idxW<racWedgeList.size(); idxW++)
-    {
-      UInt uiAbsDiff = abs(idxM-(Int)racWedgeList[idxW].getAng());
-      if( uiAbsDiff <= uiThrSz )
-      {
-        auiWdgList.push_back(idxW);
-      }
-    }
-    auiWdgListSz.push_back(auiWdgList);
-  }
-  g_aauiWdgLstM3.push_back(auiWdgListSz);
-#endif
+
 }
 
Index: trunk/source/Lib/TLibCommon/TComRom.h
===================================================================
--- trunk/source/Lib/TLibCommon/TComRom.h	(revision 759)
+++ trunk/source/Lib/TLibCommon/TComRom.h	(revision 773)
@@ -172,7 +172,4 @@
 extern       std::vector< std::vector<TComWedgeRef> >        g_dmmWedgeRefLists;
 extern       std::vector< std::vector<TComWedgeNode> >       g_dmmWedgeNodeLists;
-#if !SEC_DMM3_RBC_F0147
-extern       std::vector< std::vector< std::vector<UInt> > > g_aauiWdgLstM3;
-#endif
 
 Void initWedgeLists( Bool initNodeList = false );
@@ -236,11 +233,6 @@
 
 
-#if H_MV_FIX_TRACE_FILE
  Void           writeToTraceFile( const Char* symbolName, Int val, Bool doIt );
  Void           writeToTraceFile( const Char* symbolName, Bool doIt );
-#else
- Void           writeToTraceFile( Char* symbolName, Int val, Bool doIt );
- Void           writeToTraceFile( Char* symbolName, Bool doIt );
-#endif
 #endif
 #else
Index: trunk/source/Lib/TLibCommon/TComSlice.cpp
===================================================================
--- trunk/source/Lib/TLibCommon/TComSlice.cpp	(revision 759)
+++ trunk/source/Lib/TLibCommon/TComSlice.cpp	(revision 773)
@@ -110,5 +110,5 @@
 #endif
 , m_pocResetFlag                  (false)
-#if H_MV_6_RALS_O0149_11
+#if H_MV
 , m_crossLayerBlaFlag             (false)
 #endif
@@ -753,18 +753,7 @@
   {        
     if ( this->getNumRefIdx( RefPicList( uiRefListIdx ) ) == 0)
+    {
         continue;
-#if !SHARP_ARP_REF_CHECK_F0105
-// move the following to setARPStepNum() to define ARP related thing in ARP function.
-#if QC_MTK_INTERVIEW_ARP_F0123_F0108
-     for(Int i = 0; i < this->getNumRefIdx(RefPicList(uiRefListIdx)); i++ )
-       {
-       if ( this->getRefPic(RefPicList(uiRefListIdx), i)->getPOC() != getPOC() )
-       {
-         this->setFirstTRefIdx (RefPicList(uiRefListIdx), i);
-         break;
-       }
-     }
-#endif
-#endif
+    }
     Bool bZeroIdxLtFlag = this->getRefPic(RefPicList(uiRefListIdx), 0)->getIsLongTerm();
     for(Int i = 1; i < this->getNumRefIdx(RefPicList(uiRefListIdx)); i++ )
@@ -782,9 +771,5 @@
 Void TComSlice::setCamparaSlice( Int** aaiScale, Int** aaiOffset )
 {  
-#if CAM_HLS_F0136_F0045_F0082
   if( m_pcVPS->hasCamParInSliceHeader( m_viewIndex ) )
-#else
-  if( m_pcSPS->hasCamParInSliceHeader() )
-#endif
   {    
     for( UInt uiBaseViewIndex = 0; uiBaseViewIndex < m_viewIndex; uiBaseViewIndex++ )
@@ -1716,8 +1701,6 @@
 , m_hrdOpSetIdx               (NULL)
 , m_cprmsPresentFlag          (NULL)
-#if H_MV_6_HRD_O0217_13
+#if H_MV
 , m_dpbSize                   (NULL)
-#endif
-#if H_MV
 , m_vpsVUI                 (  NULL )
 #endif
@@ -1734,9 +1717,5 @@
     for( Int layerId = 0; layerId < MAX_VPS_NUH_LAYER_ID_PLUS1; layerId++ )
     {
-#if H_MV_6_HRD_O0217_13
       m_layerIdIncludedFlag[lsIdx][layerId] = (( lsIdx == 0 ) && ( layerId == 0 )) ; 
-#else
-      m_layerIdIncludedFlag[lsIdx][layerId] = false; 
-#endif
     }
   } 
@@ -1752,9 +1731,5 @@
   m_moreOutputLayerSetsThanDefaultFlag = false;   
   m_numAddOutputLayerSetsMinus1        = -1;   
-#if H_MV_6_PS_0109_25
   m_defaultOneTargetOutputLayerIdc     = 0; 
-#else
-  m_defaultOneTargetOutputLayerFlag    = false; 
-#endif
   
   for ( Int i = 0; i < MAX_VPS_OUTPUTLAYER_SETS; i++)
@@ -1767,7 +1742,5 @@
     }
   }
-#if H_MV_6_GEN_0153_28
   m_altOutputLayerFlag       = false; 
-#endif
   m_maxOneActiveRefLayerFlag = false; 
   m_directDepTypeLenMinus2   = 0;         
@@ -1806,11 +1779,6 @@
     m_layerIdInNuh      [i] = ( i == 0 ) ? 0 : -1; 
     m_numDirectRefLayers[i] = 0; 
-#if !H_MV_6_ILDDS_O0225_30
-    m_maxTidIlRefPicPlus1[i] = 7;
-#endif
     m_vpsRepFormatIdx    [i] = 0; 
-#if H_MV_6_MISC_O0062_31
     m_pocLsbNotPresentFlag[i] = 0;
-#endif
     m_repFormat          [i] = NULL; 
     m_viewIdVal          [i] = 0; 
@@ -1819,26 +1787,5 @@
     m_viewIndex         [i] = -1; 
     m_vpsDepthModesFlag [i] = false;
-#if H_3D_DIM_DLT
-#if !DLT_DIFF_CODING_IN_PPS
-    m_bUseDLTFlag         [i] = false;
-    
-    // allocate some memory and initialize with default mapping
-    m_iNumDepthmapValues[i] = ((1 << g_bitDepthY)-1)+1;
-    m_iBitsPerDepthValue[i] = numBitsForValue(m_iNumDepthmapValues[i]);
-    
-    m_iDepthValue2Idx[i]    = (Int*) xMalloc(Int, m_iNumDepthmapValues[i]);
-    m_iIdx2DepthValue[i]    = (Int*) xMalloc(Int, m_iNumDepthmapValues[i]);
-    
-    //default mapping
-    for (Int d=0; d<m_iNumDepthmapValues[i]; d++)
-    {
-      m_iDepthValue2Idx[i][d] = d;
-      m_iIdx2DepthValue[i][d] = d;
-    }
-#endif
-#endif
-#if H_3D
     m_ivMvScalingFlag = true; 
-#endif
 #endif
 
@@ -1848,7 +1795,5 @@
       m_directDependencyType[i][j] = -1; 
       m_refLayerId[i][j]           = -1; 
-#if H_MV_6_ILDDS_O0225_30      
       m_maxTidIlRefPicsPlus1[i][j]  = 7;
-#endif
     }
 
@@ -1863,8 +1808,6 @@
   }
   m_vpsVUI = new TComVPSVUI; 
-#if H_MV_6_HRD_O0217_13
   m_dpbSize = new TComDpbSize; 
-#endif
-#
+
 #if H_3D
   for( Int i = 0; i < MAX_NUM_LAYERS; i++ )
@@ -1872,5 +1815,5 @@
 #if H_3D_IV_MERGE
     m_ivMvPredFlag         [ i ] = false;
-#if MTK_SPIVMP_F0110
+#if H_3D_SPIVMP
     m_iSubPULog2Size       [ i ] = 0;
 #endif
@@ -1885,5 +1828,5 @@
     m_bInterSDCFlag        [ i ] = false;
 #endif
-#if SEC_MPI_ENABLING_MERGE_F0150
+#if H_3D_IV_MERGE
     m_bMPIFlag             [ i ] = false;
 #endif
@@ -1895,102 +1838,20 @@
 TComVPS::~TComVPS()
 {
-if( m_hrdParameters    != NULL )     delete[] m_hrdParameters;
+  if( m_hrdParameters    != NULL )     delete[] m_hrdParameters;
   if( m_hrdOpSetIdx      != NULL )     delete[] m_hrdOpSetIdx;
   if( m_cprmsPresentFlag != NULL )     delete[] m_cprmsPresentFlag;
 #if H_MV
   if ( m_vpsVUI          != NULL )     delete m_vpsVUI; 
-#if H_MV_6_HRD_O0217_13
   if ( m_dpbSize         != NULL )     delete m_dpbSize; 
-#endif
 
   for( Int i = 0; i < MAX_NUM_LAYERS; i++ )
   {
     if (m_repFormat[ i ] != NULL )      delete m_repFormat[ i ];    
-#if H_3D_DIM_DLT
-#if !DLT_DIFF_CODING_IN_PPS
-    if ( m_iDepthValue2Idx[i] != 0 ) 
-    {
-       xFree( m_iDepthValue2Idx[i] );
-       m_iDepthValue2Idx[i] = 0; 
-    }
-
-    if ( m_iIdx2DepthValue[i] != 0 ) 
-    {
-      xFree( m_iIdx2DepthValue[i] );
-      m_iIdx2DepthValue[i] = 0; 
-    }
-#endif
-#endif
-  }
-#endif
-#if CAM_HLS_F0136_F0045_F0082
+  }
+#endif
+#if H_3D
   deleteCamPars();
 #endif
 }
-
-#if H_3D_DIM_DLT
-#if !DLT_DIFF_CODING_IN_PPS
-  Void TComVPS::setDepthLUTs(Int layerIdInVps, Int* idxToDepthValueTable, Int iNumDepthValues)
-  {
-    if( idxToDepthValueTable == NULL || iNumDepthValues == 0 ) // default mapping only
-      return;
-    
-    // copy idx2DepthValue to internal array
-    memcpy(m_iIdx2DepthValue[layerIdInVps], idxToDepthValueTable, iNumDepthValues*sizeof(UInt));
-    
-    UInt uiMaxDepthValue = ((1 << g_bitDepthY)-1);
-    for(Int p=0; p<=uiMaxDepthValue; p++)
-    {
-      Int iIdxDown    = 0;
-      Int iIdxUp      = iNumDepthValues-1;
-      Bool bFound     = false;
-      
-      // iterate over indices to find lower closest depth
-      Int i = 1;
-      while(!bFound && i<iNumDepthValues)
-      {
-        if( m_iIdx2DepthValue[layerIdInVps][i] > p )
-        {
-          iIdxDown  = i-1;
-          bFound    = true;
-        }
-        
-        i++;
-      }
-      // iterate over indices to find upper closest depth
-      i = iNumDepthValues-2;
-      bFound = false;
-      while(!bFound && i>=0)
-      {
-        if( m_iIdx2DepthValue[layerIdInVps][i] < p )
-        {
-          iIdxUp  = i+1;
-          bFound    = true;
-        }
-        
-        i--;
-      }
-      
-      // assert monotony
-      assert(iIdxDown<=iIdxUp);
-      
-      // assign closer depth value/idx
-      if( abs(p-m_iIdx2DepthValue[layerIdInVps][iIdxDown]) < abs(p-m_iIdx2DepthValue[layerIdInVps][iIdxUp]) )
-      {
-        m_iDepthValue2Idx[layerIdInVps][p] = iIdxDown;
-      }
-      else
-      {
-        m_iDepthValue2Idx[layerIdInVps][p] = iIdxUp;
-      }
-      
-    }
-    
-    // update DLT variables
-    m_iNumDepthmapValues[layerIdInVps] = iNumDepthValues;
-    m_iBitsPerDepthValue[layerIdInVps] = numBitsForValue(m_iNumDepthmapValues[layerIdInVps]);
-  }
-#endif
-#endif
 
 #if H_MV
@@ -2079,5 +1940,5 @@
   return foundLayerIdinNuh;
 }
-#if CAM_HLS_F0136_F0045_F0082
+
 Void TComVPS::createCamPars(Int iNumViews)
 {
@@ -2168,5 +2029,4 @@
   }
 }
-#endif // CAM_HLS_F0136_F0045_F0082
 
 #endif // H_3D
@@ -2204,17 +2064,7 @@
   assert( lsIdx >= 0 ); 
   assert( lsIdx <= getVpsNumLayerSetsMinus1() ); 
-#if H_MV_6_HRD_O0217_13
   return (Int) m_layerSetLayerIdList[ lsIdx ].size(); 
-#else
-  Int numLayersInIdList = 0; 
-  for (Int layerId = 0; layerId < getVpsMaxLayerId(); layerId++ )
-  {
-    numLayersInIdList += ( getLayerIdIncludedFlag( lsIdx, layerId ) ); 
-  }
-  return numLayersInIdList;
-#endif
-}
-
-#if H_MV_6_HRD_O0217_13
+}
+
 Int    TComVPS::getNumOutputLayerSets() 
 {
@@ -2226,5 +2076,4 @@
   return numOutputLayerSets; 
 }
-#endif
 
 Int TComVPS::getNumViews()
@@ -2258,5 +2107,4 @@
 }
 
-#if H_MV_6_HRD_O0217_13
 Void TComVPS::deriveLayerSetLayerIdList()
 {
@@ -2294,5 +2142,4 @@
   }
 }
-#endif
 #endif // H_MV
 
@@ -2349,10 +2196,6 @@
 , m_spsScalingListRefLayerId  ( 0 )
 
-#if !H_MV_6_PS_REP_FORM_18_19_20
-, m_updateRepFormatFlag       ( true ) 
-#else
 , m_updateRepFormatFlag       ( false ) 
 , m_spsRepFormatIdx           ( 0 )
-#endif
 , m_interViewMvVertConstraintFlag (false)
 #endif
@@ -2370,5 +2213,5 @@
   ::memset(m_ltRefPicPocLsbSps, 0, sizeof(m_ltRefPicPocLsbSps));
   ::memset(m_usedByCurrPicLtSPSFlag, 0, sizeof(m_usedByCurrPicLtSPSFlag));
-#if H_MV_6_PSEM_O0142_3
+#if H_MV
   m_spsExtensionFlag = false; 
   for( Int i = 0; i < PS_EX_T_MAX_NUM; i++ ) 
@@ -2376,6 +2219,4 @@
     m_spsExtensionTypeFlag[ i ] = false;
   }
-#endif
-#if H_MV_6_SHVC_O0098_36
   m_numScaledRefLayerOffsets = 0; 
 
@@ -2548,5 +2389,5 @@
 , m_ppsInferScalingListFlag(false)
 , m_ppsScalingListRefLayerId(0)
-#if DLT_DIFF_CODING_IN_PPS
+#if H_3D
 , m_pcDLT(NULL)
 #endif
@@ -2571,5 +2412,5 @@
 }
 
-#if DLT_DIFF_CODING_IN_PPS
+#if H_3D
 TComDLT::TComDLT()
 : m_bDltPresentFlag(false)
@@ -2753,12 +2594,6 @@
   if ( layerIdCurr > 0 )
   { 
-#if H_MV_6_PS_REP_FORM_18_19_20
     Int            repFormatIdx = getUpdateRepFormatFlag() ?  getSpsRepFormatIdx() : vps->getVpsRepFormatIdx( vps->getLayerIdInVps( layerIdCurr ) ) ;
     TComRepFormat* repFormat    = vps->getRepFormat( repFormatIdx ); 
-#else
-    TComRepFormat* repFormat = vps->getRepFormat( vps->getVpsRepFormatIdx( vps->getLayerIdInVps( layerIdCurr ) ) ); 
-    if ( !getUpdateRepFormatFlag() )
-    {        
-#endif
       setChromaFormatIdc( repFormat->getChromaFormatVpsIdc() );         
       //// ToDo: add when supported: 
@@ -2773,10 +2608,5 @@
       setBitDepthC             ( repFormat->getBitDepthVpsChromaMinus8() + 8 ); 
       setQpBDOffsetC           ( (Int) (6* ( getBitDepthC() -8 ) ) );
-#if !H_MV_6_PS_REP_FORM_18_19_20
-    }
-    else
-#else
     if ( getLayerId() > 0 && getUpdateRepFormatFlag() )
-#endif
     {
       assert( getChromaFormatIdc()      <=  repFormat->getChromaFormatVpsIdc()         ); 
@@ -2808,29 +2638,5 @@
 }
 #endif
-#if H_3D
-#if !CAM_HLS_F0136_F0045_F0082
-Void
-TComSPS::initCamParaSPS( UInt uiViewIndex, UInt uiCamParPrecision, Bool bCamParSlice, Int** aaiScale, Int** aaiOffset )
-{
-  AOT( uiViewIndex != 0 && !bCamParSlice && ( aaiScale == 0 || aaiOffset == 0 ) );  
-  
-  m_uiCamParPrecision     = ( uiViewIndex ? uiCamParPrecision : 0 );
-  m_bCamParInSliceHeader  = ( uiViewIndex ? bCamParSlice  : false );
-  ::memset( m_aaiCodedScale,  0x00, sizeof( m_aaiCodedScale  ) );
-  ::memset( m_aaiCodedOffset, 0x00, sizeof( m_aaiCodedOffset ) );
-
-  if( !m_bCamParInSliceHeader )
-  {
-    for( UInt uiBaseViewIndex = 0; uiBaseViewIndex < uiViewIndex; uiBaseViewIndex++ )
-    {
-      m_aaiCodedScale [ 0 ][ uiBaseViewIndex ] = aaiScale [ uiBaseViewIndex ][     uiViewIndex ];
-      m_aaiCodedScale [ 1 ][ uiBaseViewIndex ] = aaiScale [     uiViewIndex ][ uiBaseViewIndex ];
-      m_aaiCodedOffset[ 0 ][ uiBaseViewIndex ] = aaiOffset[ uiBaseViewIndex ][     uiViewIndex ];
-      m_aaiCodedOffset[ 1 ][ uiBaseViewIndex ] = aaiOffset[     uiViewIndex ][ uiBaseViewIndex ];
-    }
-  }
-}
-#endif
-#endif
+
 TComReferencePictureSet::TComReferencePictureSet()
 : m_numberOfPictures (0)
@@ -3150,8 +2956,6 @@
     {
       TComPic* pcPic = ivPicLists->getPic( targetDecLayerIdSet[ i ], curPoc ); 
-#if H_MV_LAYER_WISE_STARTUP
       if ( pcPic )
       {
-#endif
       if( pcPic->getSlice(0)->isReferenced() && pcPic->getSlice(0)->getTemporalLayerNonReferenceFlag() ) 
       { 
@@ -3176,7 +2980,5 @@
       }
     }
-#if H_MV_LAYER_WISE_STARTUP
-      }
-#endif
+      }
   }
 }
@@ -3236,5 +3038,4 @@
 
 
-#if H_MV_6_ILDDS_ILREFPICS_27_34
 Int  TComSlice::getRefLayerPicFlag( Int i ) 
 {
@@ -3279,5 +3080,4 @@
   return numRefLayerPics; 
 }
-#endif
 
 
@@ -3293,9 +3093,5 @@
   else if (getVPS()->getAllRefLayersActiveFlag() )
   {
-#if H_MV_6_ILDDS_ILREFPICS_27_34
     numActiveRefLayerPics = getNumRefLayerPics(); 
-#else
-    numActiveRefLayerPics = getVPS()->getNumDirectRefLayers( getLayerId() );
-#endif
   }
   else if ( !getInterLayerPredEnabledFlag() )
@@ -3305,9 +3101,5 @@
   else if( getVPS()->getMaxOneActiveRefLayerFlag() || getVPS()->getNumDirectRefLayers( getLayerId() ) == 1 )
   {
-#if H_MV_6_ILDDS_ILREFPICS_27_34
     numActiveRefLayerPics = getRefLayerPicFlag( 0 ) ? 1 : 0; 
-#else
-    numActiveRefLayerPics = 1; 
-#endif
   }
   else
@@ -3324,20 +3116,8 @@
 
 #if H_3D_ARP
-#if SHARP_ARP_REF_CHECK_F0105
 Void TComSlice::setARPStepNum( TComPicLists*ivPicLists )
-#else
-Void TComSlice::setARPStepNum()                                  
-#endif
-{
-#if SHARP_ARP_REF_CHECK_F0105
+{
   Bool tempRefPicInListsFlag = false;
-#else
-  Bool bAllIvRef = true;
-#endif
-#if QC_MTK_INTERVIEW_ARP_F0123_F0108
   if(!getVPS()->getUseAdvRP(getLayerId()) || this->isIRAP())
-#else
-  if(!getVPS()->getUseAdvRP(getLayerId()))
-#endif
   {
     m_nARPStepNum = 0;
@@ -3345,5 +3125,4 @@
   else
   {
-#if SHARP_ARP_REF_CHECK_F0105
     setFirstTRefIdx (REF_PIC_LIST_0, -1);
     setFirstTRefIdx (REF_PIC_LIST_1, -1);
@@ -3361,30 +3140,6 @@
     tempRefPicInListsFlag = getFirstTRefIdx(REF_PIC_LIST_0) >= 0 || getFirstTRefIdx(REF_PIC_LIST_1) >= 0;
     m_nARPStepNum = tempRefPicInListsFlag ? getVPS()->getARPStepNum(getLayerId()) : 0;
-#else
-    for( Int iRefListId = 0; iRefListId < 2; iRefListId++ )
-    {
-      RefPicList  eRefPicList = RefPicList( iRefListId );
-      Int iNumRefIdx = getNumRefIdx(eRefPicList);
-      
-      if( iNumRefIdx <= 0 )
-      {
-        continue;
-      }
-
-      for ( Int i = 0; i < iNumRefIdx; i++ )
-      {
-        if( getRefPic( eRefPicList, i)->getPOC() != getPOC() )
-        {
-          bAllIvRef = false;
-          break;
-        }
-      }
-
-      if( bAllIvRef == false ) { break; }
-    }
-    m_nARPStepNum = !bAllIvRef ? getVPS()->getARPStepNum(getLayerId()) : 0;
-#endif
-  }
-#if SHARP_ARP_REF_CHECK_F0105
+  }
+
   if (tempRefPicInListsFlag)
   {
@@ -3407,7 +3162,6 @@
         }
       }
-  }
-}
-#endif
+    }
+  }
 }
 #endif
@@ -3514,5 +3268,5 @@
 #endif 
 
-#if QC_DEPTH_IV_MRG_F0125
+#if H_3D_IV_MERGE
   setupLUT = setupLUT || ( getVPS()->getIvMvPredFlag(layerIdInVPS ) && getIsDepth() );
 #endif
@@ -3543,11 +3297,6 @@
   assert( m_depthToDisparityF != NULL ); 
 
-#if CAM_HLS_F0136_F0045_F0082
   TComVPS* vps = getVPS(); 
-#else
-  TComSPS* sps = getSPS(); 
-#endif
-
-#if CAM_HLS_F0136_F0045_F0082
+
   Int log2Div = g_bitDepthY - 1 + vps->getCamParPrecision();
   Int viewIndex = getViewIndex();
@@ -3559,14 +3308,4 @@
   Int* invCodScale  = camParaSH ? m_aaiCodedScale [ 1 ] : vps->getInvCodedScale ( viewIndex ); 
   Int* invCodOffset = camParaSH ? m_aaiCodedOffset[ 1 ] : vps->getInvCodedOffset( viewIndex ); 
-#else
-  Int log2Div = g_bitDepthY - 1 + sps->getCamParPrecision();
-
-  Bool camParaSH = m_pcSPS->hasCamParInSliceHeader();
-
-  Int* codScale     = camParaSH ? m_aaiCodedScale [ 0 ] : sps->getCodedScale    (); 
-  Int* codOffset    = camParaSH ? m_aaiCodedOffset[ 0 ] : sps->getCodedOffset   (); 
-  Int* invCodScale  = camParaSH ? m_aaiCodedScale [ 1 ] : sps->getInvCodedScale (); 
-  Int* invCodOffset = camParaSH ? m_aaiCodedOffset[ 1 ] : sps->getInvCodedOffset(); 
-#endif
 
   for (Int i = 0; i <= ( getViewIndex() - 1); i++)
@@ -3925,7 +3664,5 @@
 TComVPSVUI::TComVPSVUI()
 {
-#if H_MV_6_PS_O0223_29
   m_crossLayerIrapAlignedFlag = true; 
-#endif
   m_bitRatePresentVpsFlag = false;
   m_picRatePresentVpsFlag = false;
@@ -3955,18 +3692,13 @@
     }
   }
-#if H_MV_6_PS_O0118_33  
   for ( Int i = 0; i < MAX_NUM_VIDEO_SIGNAL_INFO; i++ )
   {
     m_videoSignalInfo          [i] = NULL;     
   }
-#endif
-
-#if H_MV_6_HRD_O0164_15
+
   m_vpsVuiBspHrdPresentFlag = false; 
   m_vpsVuiBspHrdParameters  = new TComVpsVuiBspHrdParameters();
-#endif
-}
-
-#if H_MV_6_PS_O0118_33
+}
+
 TComVPSVUI::~TComVPSVUI()
 {
@@ -3977,12 +3709,8 @@
   }
 
-#if H_MV_6_HRD_O0164_15
   if ( m_vpsVuiBspHrdParameters ) delete m_vpsVuiBspHrdParameters;
   m_vpsVuiBspHrdParameters = NULL; 
-#endif
-}
-#endif
-
-#if H_MV_6_PS_REP_FORM_18_19_20
+}
+
 Void TComRepFormat::inferChromaAndBitDepth( TComRepFormat* prevRepFormat, Bool encoderFlag )
 {
@@ -4002,7 +3730,5 @@
 }
 }
-#endif
-
-#if H_MV_6_HRD_O0164_15
+
 Void TComVpsVuiBspHrdParameters::checkLayerInBspFlag( TComVPS* vps, Int h )
 {
@@ -4031,4 +3757,23 @@
   }
 }
-#endif
-#endif
+
+Void TComVUI::inferVideoSignalInfo( TComVPS* vps, Int layerIdCurr )
+{
+  if ( layerIdCurr == 0 || !vps->getVpsVuiPresentFlag() ) 
+  {
+    return; 
+  }
+
+  TComVPSVUI* vpsVUI = vps->getVPSVUI(); 
+  assert( vpsVUI != NULL );  
+
+  TComVideoSignalInfo* videoSignalInfo = vpsVUI->getVideoSignalInfo( vpsVUI->getVpsVideoSignalInfoIdx( vps->getLayerIdInVps( layerIdCurr ) ) ); 
+  assert( videoSignalInfo != NULL );
+
+  setVideoFormat            ( videoSignalInfo->getVideoVpsFormat            () ); 
+  setVideoFullRangeFlag     ( videoSignalInfo->getVideoFullRangeVpsFlag     () );
+  setColourPrimaries        ( videoSignalInfo->getColourPrimariesVps        () );
+  setTransferCharacteristics( videoSignalInfo->getTransferCharacteristicsVps() );
+  setMatrixCoefficients     ( videoSignalInfo->getMatrixCoeffsVps           () );
+}
+#endif
